For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create a customer subscription

How to create a customer subscription via API

To create a new customer subscription, send a POST request to the /api/customer_subscriptions endpoint, passing the resource arguments in the request body.

Request

POST https://yourdomain.commercelayer.io/api/customer_subscriptions

Arguments

Body Parameter
Type
Required

type

string

Required

attributes.customer_email

string

Required

attributes.reference

string

Required

attributes.reference_origin

string

Optional

attributes.metadata

object

Optional

Example

The following request creates a new customer subscription:

curl -g -X POST \
  'https://yourdomain.commercelayer.io/api/customer_subscriptions' \
  -H 'Accept: application/vnd.api+json' \
  -H 'Authorization: Bearer your-access-token' \
  -H 'Content-Type: application/vnd.api+json' \
  -d '{
  "data": {
    "type": "customer_subscriptions",
    "attributes": {
      "customer_email": "john@example.com",
      "reference": "ANY-EXTERNAL-REFEFERNCE"
    }
  }
}'

On success, the API responds with a 201 Created status code, returning the created resource object:

{
  "data": {
    "id": "XAyRWNUzyN",
    "type": "customer_subscriptions",
    "links": {
      "self": "https://yourdomain.commercelayer.io/api/customer_subscriptions/XAyRWNUzyN"
    },
    "attributes": {
      "customer_email": "john@example.com",
      "reference": "ANY-EXTERNAL-REFEFERNCE",
      "created_at": "2018-01-01T12:00:00.000Z",
      "updated_at": "2018-01-01T12:00:00.000Z",
      "reference_origin": "ANY-EXTERNAL-REFEFERNCE-ORIGIN",
      "metadata": {
        "foo": "bar"
      }
    },
    "relationships": {
      "customer": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/customer_subscriptions/XAyRWNUzyN/relationships/customer",
          "related": "https://yourdomain.commercelayer.io/api/customer_subscriptions/XAyRWNUzyN/customer"
        }
      },
      "events": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/customer_subscriptions/XAyRWNUzyN/relationships/events",
          "related": "https://yourdomain.commercelayer.io/api/customer_subscriptions/XAyRWNUzyN/events"
        }
      },
      "event_stores": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/customer_subscriptions/XAyRWNUzyN/relationships/event_stores",
          "related": "https://yourdomain.commercelayer.io/api/customer_subscriptions/XAyRWNUzyN/event_stores"
        }
      }
    },
    "meta": {
      "mode": "test",
      "organization_id": "xRRkjDFafe",
      "trace_id": "69abaa3545913c78132e5578bd26208d44aa9043647d78698fd0021f3958cd74"
    }
  },
  "meta": {
    "mode": "test",
    "organization_id": "xRRkjDFafe",
    "trace_id": "69abaa3545913c78132e5578bd26208d44aa9043647d78698fd0021f3958cd74"
  }
}

Last updated